/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/

#include "ParmType.h"

#ifndef COMPUTE_PCORR_H
#define COMPUTE_PCORR_H

void compute_pcorr_be(Shortword *pswSigIn,
                   Longword lwPitchFreq,
                   X_INT16 iFrameNo,
                   Shortword *pswPCorr);

#endif
