/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/
#ifndef _VADEXPORTS_F_H
#define _VADEXPORTS_F_H

extern struct VADStructX_F  *DoVADAlloc_F (void);
extern void     	DoVADInit_F (FEParamsX_F *This);
extern BOOLEAN      DoVADProc_F (X_INT16 *FeatureBuffer, FEParamsX_F *This);
extern BOOLEAN      DoVADFlush_F (X_INT16 *FeatureBuffer, FEParamsX_F *This);
extern void         DoVADDelete_F (struct VADStructX_F *VADX);

#endif
