/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/


/*
***********************************************************************
*
*   FUNCTION NAME: dsr_afe_vad
*
*   PURPOSE: Header file for the dsr_afe_vad function
*
**********************************************************************
*/

#include "ParmType.h"

#ifndef DSR_FE_VAD_H
#define DSR_FE_VAD_H

X_INT16 dsr_afe_vad(Shortword *pswMFBOutArray, X_INT16 iMFBOutShift,
                    X_INT16 *piHangOverFlag);

#endif

