/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/

/*
***********************************************************************
*
*   FUNCTION NAME: qsort_be
*
*   PURPOSE:   Header file for qsort_be function
*
**********************************************************************
*/

#include "ParmType.h"

#ifndef QSORT_BE_H
#define QSORT_BE_H

void qsort_be(void *pvArray, X_INT16 iArraySize,
              X_INT16 iElementSize, X_INT16 (*comp)(void *, void *));

#endif

